org.apache.fop.render.intermediate

## Interface IFDocumentHandlerConfigurator

- All Known Implementing Classes:
    AFPRendererConfigurator, BitmapRendererConfigurator, DefaultRendererConfigurator, Java2DRendererConfigurator, PCLRendererConfigurator, PDFRendererConfigurator, PrintRendererConfigurator, PSRendererConfigurator, TIFFRendererConfigurator, TXTRendererConfigurator

      public interface IFDocumentHandlerConfigurator

  This interface is implemented by classes that configure an `IFDocumentHandler` instance.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `configure(IFDocumentHandler documentHandler)` Configures a intermediate format document handler.
    `void` | `setupFontInfo(String mimeType, FontInfo fontInfo)` Sets up the `FontInfo` object for the IFDocumentHandler.

- - ### Method Detail

    - #### configure

          void configure(IFDocumentHandler documentHandler)
                  throws FOPException

      Configures a intermediate format document handler.
      Parameters:
        `documentHandler` - the document handler instance
      Throws:
        `FOPException` - if an error occurs while configuring the object

    - #### setupFontInfo

          void setupFontInfo(String mimeType,
                             FontInfo fontInfo)
                      throws FOPException

      Sets up the `FontInfo` object for the IFDocumentHandler.
      Parameters:
        `mimeType` - the MIME type of the document handler
        `fontInfo` - the font info object to set up
      Throws:
        `FOPException` - if an error occurs while configuring the object

Copyright © 2023 Apache Software Foundation. All rights reserved.